MGASA-2021-0119 - Updated python-yaml packages fix security vulnerability

Publication date: 12 Mar 2021
URL: https://advisories.mageia.org/MGASA-2021-0119.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2020-14343

A vulnerability was discovered in the PyYAML library, where it is susceptible
to arbitrary code execution when it processes untrusted YAML files through the
full_load method or with the FullLoader loader. Applications that use the
library to process untrusted input may be vulnerable to this flaw. This flaw
allows an attacker to execute arbitrary code on the system by abusing the
python/object/new constructor. This flaw is due to an incomplete fix for
CVE-2020-1747 (CVE-2020-14343).

References:
- https://bugs.mageia.org/show_bug.cgi?id=28205
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/MMQXSZXNJT6ERABJZAAICI3DQSQLCP3D/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14343

SRPMS:
- 7/core/python-yaml-5.3.1-1.1.mga7